import 'dart:async';

import 'package:connection_pool/connection_pool.dart';
import 'package:mongo_dart/mongo_dart.dart' as mongo;

class MongoDbPool extends ConnectionPool<mongo.Db> {
  String uri;
  mongo.WriteConcern writeConcern;

  MongoDbPool(this.uri,
      {int poolSize,
      mongo.WriteConcern writeConcern: mongo.WriteConcern.ACKNOWLEDGED})
      : super(poolSize);

  @override
  void closeConnection(mongo.Db db) {
    db.close();
  }

  @override
  Future<mongo.Db> openNewConnection() async {
    mongo.Db db = new mongo.Db(uri);
    await db.open(writeConcern: writeConcern);
    return db;
  }
}
